- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::StoredMessage Class Referenceabstract

An abstract class for messages which have come from the store. More...

`#include <gstoredmessage.h>`

Inheritance diagram for GSmtp::StoredMessage:

## Public Member Functions
virtual std::string | name () const =0
| Returns some sort of unique identifier for the message. More...
virtual std::string | location () const =0
| Returns another sort of unique identifier for the message. More...
virtual const std::string & | from () const =0
| Returns the envelope 'from' field. More...
virtual const G::Strings & | to () const =0
| Returns the envelope 'to' fields. More...
virtual std::auto_ptr< std::istream > | extractContentStream ()=0
| Extracts the content stream. More...
virtual void | destroy ()=0
| Deletes the message within the store. More...
virtual void | fail (const std::string &reason, int reason_code)=0
| Marks the message as failed within the store. More...
virtual void | unfail ()=0
| Marks the message as unfailed within the store. More...
virtual bool | eightBit () const =0
| Returns true if the message content (header+body) contains a character with the most significant bit set. More...
virtual std::string | authentication () const =0
| Returns the message authentication string. More...
virtual size_t | remoteRecipientCount () const =0
| Returns the number of non-local recipients. More...
virtual size_t | errorCount () const =0
| Returns the number of accumulated submission errors. More...
virtual void | sync ()=0
| Synchronises the message object with the underlying storage. More...
virtual | ~StoredMessage ()
| Destructor. More...

## Detailed Description

An abstract class for messages which have come from the store.

See also
  GSmtp::MessageStore, GSmtp::MessageStore::get()

Definition at line 40 of file gstoredmessage.h.

## Constructor & Destructor Documentation

GSmtp::StoredMessage::~StoredMessage | ( |  | ) |
| virtual

Destructor.

Definition at line 25 of file gstoredmessage.cpp.

## Member Function Documentation

virtual std::string GSmtp::StoredMessage::authentication | ( |  | ) | const
| pure virtual

Returns the message authentication string.

Implemented in GSmtp::StoredFile.

virtual void GSmtp::StoredMessage::destroy | ( |  | ) |
| pure virtual

Deletes the message within the store.

Implemented in GSmtp::StoredFile.

virtual bool GSmtp::StoredMessage::eightBit | ( |  | ) | const
| pure virtual

Returns true if the message content (header+body) contains a character with the most significant bit set.

Implemented in GSmtp::StoredFile.

virtual size_t GSmtp::StoredMessage::errorCount | ( |  | ) | const
| pure virtual

Returns the number of accumulated submission errors.

Implemented in GSmtp::StoredFile.

virtual std::auto_ptr<std::istream> GSmtp::StoredMessage::extractContentStream | ( |  | ) |
| pure virtual

Extracts the content stream.

Can only be called once.

Implemented in GSmtp::StoredFile.

virtual void GSmtp::StoredMessage::fail | ( | const std::string & | reason,
|  | int | reason_code
| ) |  |
| pure virtual

Marks the message as failed within the store.

Implemented in GSmtp::StoredFile.

virtual const std::string& GSmtp::StoredMessage::from | ( |  | ) | const
| pure virtual

Returns the envelope 'from' field.

Implemented in GSmtp::StoredFile.

virtual std::string GSmtp::StoredMessage::location | ( |  | ) | const
| pure virtual

Returns another sort of unique identifier for the message.

Implemented in GSmtp::StoredFile.

virtual std::string GSmtp::StoredMessage::name | ( |  | ) | const
| pure virtual

Returns some sort of unique identifier for the message.

Implemented in GSmtp::StoredFile.

virtual size_t GSmtp::StoredMessage::remoteRecipientCount | ( |  | ) | const
| pure virtual

Returns the number of non-local recipients.

Implemented in GSmtp::StoredFile.

virtual void GSmtp::StoredMessage::sync | ( |  | ) |
| pure virtual

Synchronises the message object with the underlying storage.

Implemented in GSmtp::StoredFile.

virtual const G::Strings& GSmtp::StoredMessage::to | ( |  | ) | const
| pure virtual

Returns the envelope 'to' fields.

Implemented in GSmtp::StoredFile.

virtual void GSmtp::StoredMessage::unfail | ( |  | ) |
| pure virtual

Marks the message as unfailed within the store.

Implemented in GSmtp::StoredFile.

The documentation for this class was generated from the following files:

- gstoredmessage.h
- gstoredmessage.cpp